MissingH-1.2.0.0: Large utility library

Portability | portable
Stability | provisional
Maintainer | John Goerzen <jgoerzen@complete.org>
Safe Haskell | None

System.IO.StatCompat

Description

Provide a stat-like structure for use in MissingH. Especially useful with HVFS and on Windows. See also System.IO.WindowsCompat.

# Documentation

data FileStatusCompat Source

Constructors

FileStatusCompat |

Fields

deviceID :: DeviceID
fileID :: FileID
fileMode :: FileMode
linkCount :: LinkCount
fileOwner :: UserID
fileGroup :: GroupID
specialDeviceID :: DeviceID
fileSize :: FileOffset
accessTime :: EpochTime
modificationTime :: EpochTime
statusChangeTime :: EpochTime

sc_helper :: FileMode -> FileStatusCompat -> Bool Source

isBlockDevice :: FileStatusCompat -> Bool Source

isSocket :: FileStatusCompat -> Bool Source

isSymbolicLink :: FileStatusCompat -> Bool Source

isDirectory :: FileStatusCompat -> Bool Source

isRegularFile :: FileStatusCompat -> Bool Source

isNamedPipe :: FileStatusCompat -> Bool Source

isCharacterDevice :: FileStatusCompat -> Bool Source